---
title: "Update a Webhook Configuration"
url: "https://developers.bynder.com/apis/webhooks-api/versions/876c7972-129f-4814-b12a-964ddc49f2b6/operations/UpdateaWebhookConfiguration"
---

> Full API specification: https://developers.bynder.com/apis/webhooks-api/versions/876c7972-129f-4814-b12a-964ddc49f2b6.md

# Update a Webhook Configuration

`PUT` `/v7/webhooks/public/api/subscriptions/{id}`

Operation ID: `UpdateaWebhookConfiguration`

Please be aware that using this endpoint requires the `Manage Webhooks configurations` security role.

## Path parameters

- `id` (string, required) - Webhook configuration ID.

## Request body (required)

Content types: `application/json`

## Responses

- `200` - Webhook updated successfully

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Webhooks
  version: 1.0.0
servers:
  - url: https://{your-bynder-domain}/
    variables:
      your-bynder-domain:
        default: your-bynder-domainDefaultValue
paths:
  /v7/webhooks/public/api/subscriptions/{id}:
    parameters: []
    put:
      deprecated: false
      description: Please be aware that using this endpoint requires the `Manage
        Webhooks configurations` security role.
      operationId: UpdateaWebhookConfiguration
      parameters:
        - description: Webhook configuration ID.
          in: path
          name: id
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/ApiV7WebhooksPublicApiSubscriptionsRequest1"
        description: ""
        required: true
      responses:
        "200":
          content: {}
          description: Webhook updated successfully
          headers: {}
      summary: Update a Webhook Configuration
      tags:
        - Configurations
components:
  schemas:
    ApiV7WebhooksPublicApiSubscriptionsRequest1:
      properties:
        events:
          description: ""
          items:
            type: string
          type: array
        preArchivedNotificationDays:
          contentEncoding: int32
          examples:
            - 5
          type: integer
      title: ApiV7WebhooksPublicApiSubscriptionsRequest1
      type: object
```
